
Redmine - Defect #5128

custom field date type have wrong sort via filters

2010-03-19 16:32 - Maxim Nikolaevich

Status: Closed Start date: 2010-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.2

Description

Step to reproduce

1. Create custom field named deadline with type 'date'

2. Set Default value to 2100-01-01 (far future)

3. Create one task and set 'deadline' to tommorow

4. Goto filters and set sorting by 'deadline' field

-what you will see

New task will be placed at the end of queue

-what expected to see

new task will be placed as first task in queue.

NB! If you updated every exist task in your project then 'deadline' field will be reseted to default value and sorting by 'deadline' will

work properly but it's impossible to do that automatically :(

History

#1 - 2011-03-23 11:17 - Toshi MARUYAMA

- Category set to Custom fields

#2 - 2011-08-16 06:48 - Maxim Nikolaevich

Other usecase for this issue:

I create custom field with name "frozen until" and 'Date' type

It's impossible to create filter to sort task with undefined this field value

#3 - 2011-08-16 06:50 - Maxim Nikolaevich

Affected version can be updated to 1.2.1

#4 - 2011-11-19 01:19 - Maxim Nikolaevich

I reformulate the issue in the #9607

#5 - 2011-11-19 23:37 - Maxim Nikolaevich

- Status changed from New to Resolved

9607 fixed

#6 - 2011-11-21 17:03 - Mischa The Evil

- Status changed from Resolved to New

Maxim Nikolaevich wrote:

I reformulate the issue in the #9607

 9607 fixed

 What is described in this issues' description seems not to match the content of issue #9607 if I am correct. Please provide some feedback about the

fact if #9607 actually fixed the problem you've reported in this issue or not...

2024-04-03 1/2

https://www.redmine.org/issues/9607
https://www.redmine.org/issues/9607
https://www.redmine.org/issues/9607
https://www.redmine.org/issues/9607


#7 - 2011-11-21 23:07 - Maxim Nikolaevich

- Status changed from New to Resolved

#5128 is not issue cause:

1. There are way to mass edit of issues: to set deadline

2. Issue from comment 2 was resolved in the #9607

#8 - 2011-11-21 23:35 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
